EDIT - feature request #9332

Rename TypeDesignationBase.source to .designationSource
11/25/2020 09:54 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.22

Severity: normal

Description

as simple "source" creates confusion as there are also the general sources attached to TypeDesignationBase.

Related issues:
Related to EDIT - feature request #6581: Make all microreferenced references ...

Closed

Associated revisions

Revision 0a20a617 - 12/02/2020 11:35 AM - Katja Luther
ref #9332: further clean up in editor

Revision ¢5¢25011 - 01/14/2021 03:14 PM - Andreas Kohlbecker

ref #9332 re-organizing source(es) in TypeDesignation init-strategy

Revision a3d00817 - 03/18/2021 02:11 PM - Andreas Miiller

ref #9332 adapt vaadin code to designationSource

Revision 1ce8157a - 03/18/2021 03:06 PM - Andreas Miiller

ref #9332 adapt some test data to new designationSource in vaadin

Revision a862b070 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9332 rename TypeDesignationBase.source to .designationSource in cdmlib

Revision ebe255f5 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9332 adapt registration dao to designationSource renaming

Revision 72cd6341 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9332 adapt some test data and a query to new designationSource in cdmlib

Revision 51dfa0e0 - 03/19/2021 02:04 PM - Andreas Miiller

ref #9332 adapt xml mapping to new designationSource

Revision 66620566 - 03/19/2021 02:05 PM - Andreas Miiller

ref #9332 adapt TypeDesignationBaseBeanProcessor to designationSource changes

Revision 8ea93946 - 03/19/2021 02:14 PM - Andreas Miiller
ref #9332 adapt TaxEditor code to .designationSource

Revision dd6b7ale - 03/19/2021 02:57 PM - Andreas Miiller
ref #9332 adapt PhycobankHigherClassificationExcellmport to designationSource handling

Revision d7849510 - 03/24/2021 11:22 AM - Andreas Kohlbecker
ref #9332 adapting initstrategy

Revision 2f206257 - 03/24/2021 02:45 PM - Andreas Kohlbecker
ref #9332 adapting further init strategies

Revision 63367139 - 03/24/2021 02:45 PM - Andreas Kohlbecker
ref #9332 adapting DTO to property change source -> designationSource

Revision 2f5¢f318 - 03/24/2021 02:47 PM - Andreas Kohlbecker

ref #9332 adapting portal to model type designation property change source -> designationSource

Revision 6¢2110e6 - 04/13/2021 04:11 PM - Andreas Kohlbecker

ref #9332 adapting init strategy to renamed field source -> designationSource

History

#1 - 11/25/2020 09:56 PM - Andreas Miiller
- Priority changed from New to Highest

#2 - 03/18/2021 03:21 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

This is solved in cdmlib but we need to check if it works in TaxEditor and vaadin

#3 - 03/19/2021 03:46 PM - Andreas Miiller

- Status changed from Resolved to Closed

- Target version changed from CDM UML 5.43 to Release 5.22
- % Done changed from 50 to 100

#4 - 03/19/2021 03:47 PM - Andreas Miiller

- Related to feature request #6581: Make all microreferenced references OriginalSources added

#5 - 04/13/2021 03:40 PM - Andreas Kohlbecker
- Status changed from Closed to Resolved
- % Done changed from 100 to 40

the renamed field is causing LIEs in cdm-vaadin, so this ticket is not fully solved.

e.g.

http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/4e40184e-815c-4fd2-abe1-570040dde8ef

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of role: eu.eta
xonomy.cdm.model.reference.OriginalSourceBase.annotations, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationException (Abstrac
tPersistentCollection. java:584)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded (AbstractPer
sistentCollection. java:201)

at org.hibernate.collection.internal.AbstractPersistentCollection.readSize (AbstractPersistentCollection. ja
va:145)

at org.hibernate.collection.internal.PersistentSet.isEmpty (PersistentSet.java:149)

at eu.etaxonomy.cdm.model.common.AnnotatableEntity.checkEmpty (AnnotatableEntity.java:180)

at eu.etaxonomy.cdm.model.reference.OriginalSourceBase.checkEmpty (OriginalSourceBase. java:293)

at eu.etaxonomy.cdm.model.reference.NamedSourceBase.checkEmpty (NamedSourceBase. java:88)

at eu.etaxonomy.cdm.model.name.TypeDesignationBase.checkNullSource (TypeDesignationBase. java:302)

at eu.etaxonomy.cdm.model.name.TypeDesignationBase.setCitation_aroundBody6 (TypeDesignationBase.java:267)

at eu.etaxonomy.cdm.model.name.TypeDesignationBase.setCitation_aroundBody7S$advice (TypeDesignationBase. java
:46)

at eu.etaxonomy.cdm.model.name.TypeDesignationBase.setCitation (TypeDesignationBase. java:l)

at eu.etaxonomy.cdm.vaadin.model.registration.SpecimenTypeDesignationDTO.setDesignationReference (SpecimenT
ypeDesignationDTO. java:222)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

Apparently all init-strategies for name and specimen type designations still need to be adaptet.
http://test.e-taxonomy.eu/cdmserver/phycobank/app/registration#!workingset/4e40184e-815c-4fd2-abe1-570040dde8ef

#6 - 04/13/2021 04:16 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 40 to 100

should be fixed now
